%ifos darwin
%define __defattr %defattr(-,root,wheel)
%else
%define __defattr %defattr(-,root,root)
%endif

%define PACKAGES_DIR xemacs-packages
%define PREFIX %{_usr}/lib/xemacs/xemacs-packages

Summary: The Sumo package of elisp modules for XEmacs
Name: xemacs-sumo
Version: 20010408
Release: 1b
Copyright: GPL
Group: Applications/Editors/Emacs
#Packager: Kaoru Fukui <k_fukui@highway.ne.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Source0: xemacs-sumo-2001-04-08.tar.gz

%ifnos darwin
Requires    : glibc >= 2.0.108
%endif

Url:http://www.xemacs.org/
BuildRoot: %{_tmppath}/%{PACKAGES_DIR}-root

%description
This package contains elisp modules for XEmacs: xemacs-21.0/xemacs-21.2.
The package consists of three parts:
- xemacs-sumo-%{version}	: the main part
- xemacs-sumo-el-%{version}	: elisp source files (optional)
- xemacs-sumo-info-%{version}	: info, pkginfo, and man 

%package el 
Summary: Source files for Xemacs lisp mudules
Group: Applications/Editors/Emacs

%description el
This package contains elisp source files for the precompiled
elisp modules in the main package. This package is optional
and is unnecessary to run XEmacs.

%package info
Summary: Info, man, and other documentation for the sumo package
Group: Applications/Editors/Emacs

%description info
This package contains info, man, and other documentation
about the sumo elisp modules.


%prep
%setup -q -n %{PACKAGES_DIR}

%build

%install

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}

cd   $RPM_BUILD_DIR/%{PACKAGES_DIR}

gzip -n -9f ./info/*.inf*

tar cvf packages.tar etc/* lisp/* man/* pkginfo/* info/* lib-src/*
tar xvf packages.tar  -C $RPM_BUILD_ROOT%{PREFIX}
rm -fr  packages.tar


find $RPM_BUILD_ROOT%{PREFIX}/etc -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > all.filelist.in
find $RPM_BUILD_ROOT%{PREFIX}/lisp -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> all.filelist.in
find $RPM_BUILD_ROOT%{PREFIX}/lib-src -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> all.filelist.in
sort < all.filelist.in >all.filelist


find $RPM_BUILD_ROOT%{PREFIX}/lisp  -name "*.elc" |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > elc.filelist.in
sed  -e  "s/.elc/.el/g"  < elc.filelist.in | sort > el.filelist.tmp

## not find vm.el so need the job
sed  -e "/vm.el/D"  < el.filelist.tmp > el.filelist

##sed  -e "s/vm.el/xx/g D"  < el.filelist.tmp > el.filelist


diff -yibw --width=240 --suppress-common-lines  all.filelist el.filelist | \
sed -e  "s/</ /g"  |sed -e  "s/ //g"   > rpm.filelist

find $RPM_BUILD_ROOT%{PREFIX}/info -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > info.filelist
find $RPM_BUILD_ROOT%{PREFIX}/man -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> info.filelist
find $RPM_BUILD_ROOT%{PREFIX}/pkginfo -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> info.filelist

%clean
rm -rf "$RPM_BUILD_ROOT"

#======================================
%files -f rpm.filelist 
%{__defattr}

%files -f el.filelist   el
%{__defattr}

%files -f info.filelist info
%{__defattr}

%changelog
* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 2001-04-08
- 1st build on MacOS X Release 10.1

* Sat Jun 02 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 2001-04-08
- 1st build on MacOS X Release
